1. 02 Apr, 2016 1 commit
  2. 18 Mar, 2016 1 commit
  3. 17 Mar, 2016 1 commit
  4. 08 Dec, 2015 1 commit
  5. 15 Sep, 2015 1 commit
  6. 06 Sep, 2015 1 commit
  7. 04 Aug, 2015 1 commit
  8. 03 Aug, 2015 3 commits
  9. 22 May, 2015 1 commit
  10. 19 May, 2015 4 commits
  11. 14 May, 2015 1 commit
  12. 02 Apr, 2015 1 commit
  13. 20 Mar, 2015 1 commit
  14. 26 Feb, 2015 1 commit
    • Karl Wette's avatar
      Use LALSupport to supply getopt() and getopt_long() for all of LALSuite · b6feb83a
      Karl Wette authored
      - Make LALgetopt.h a public header, add LALgetopt() and LALgetopt_long_only()
      - Remove getopt* sources from LALApps
      - Point all LALSuite codes to LALget(), LALgetopt_long(), etc.
      - Remove #include <getopt.h>
      - Remove #include <unistd.h> if not needed; if needed, check for it using
        AC_CHECK_HEADERS(), #include <config.h> and use #if HAVE_UNISTD_H
      - Refs #1932
      Original: 117a25af61111e8692b99a3dc0b27e82afc24436
      b6feb83a
  15. 10 Feb, 2015 1 commit
  16. 23 Jan, 2015 1 commit
  17. 10 Jan, 2015 1 commit
    • Karl Wette's avatar
      Doxygen: build separate documentation for each LAL library · f7eb9a04
      Karl Wette authored
      - Doxygen build system moved to per-library doxygen/ directories.
      - Minimum required Doxygen version set to 1.8.1.2 (Wheezy).
      - Doxygen layout from v1.8.1.2, configuration from 1.8.5 (SL7).
      - Support local MathJax installation with --with-mathjax option.
      - Drop support for unwieldy PDF documentation.
      - Doxygenise last vestiges of LaTeX documentation in LALApps.
      - Unused documentation files moved to per-library attic/ directories.
      - Fix Doxygen warnings, and enforce Doxygen builds without warnings.
      Original: 7bffd0bf027b06a4b0cc044748a2ae3729739b77
      f7eb9a04
  18. 04 Jan, 2015 1 commit
  19. 19 Nov, 2014 1 commit
  20. 11 Nov, 2014 1 commit
  21. 03 Nov, 2014 1 commit
  22. 29 Oct, 2014 1 commit
  23. 27 Oct, 2014 3 commits
  24. 21 Oct, 2014 1 commit
  25. 11 Sep, 2014 1 commit
  26. 09 Sep, 2014 1 commit
  27. 07 Aug, 2014 2 commits
  28. 06 Aug, 2014 1 commit
  29. 25 Jul, 2014 1 commit
    • Karl Wette's avatar
      Make Python an optional dependency for LALSuite packages · a99edbc0
      Karl Wette authored
      - Use LALSUITE_REQUIRE_PYTHON() to require a minimum Python version
      - Use LALSUITE_CHECK_PYTHON() to check for Python
      - Require python >= 2.6 for SWIG Python wrappings and wrapping generation
      - Python-related rules must be surrounded by HAVE_PYTHON conditionals
      Original: 6a7d85a73a7d6a3c04a0dd3a697c6256d1ff0c35
      a99edbc0
  30. 17 Jul, 2014 3 commits